#import "Utils.h"

@implementation Utils

+ (UIAlertController*) getLoadingAlert:(NSString*) title message:(NSString*)message{
    UIAlertController * alert = [UIAlertController
                                 alertControllerWithTitle:title
                                 message:message
                                 preferredStyle:UIAlertControllerStyleAlert];
    
    return alert;
}


+ (void)showAlert:(NSString *)title message:(NSString *)message view:(UIViewController *)view
{
    dispatch_async(dispatch_get_main_queue(),^{
        UIAlertController *alert = [UIAlertController
                                     alertControllerWithTitle:title
                                     message:message
                                     preferredStyle:UIAlertControllerStyleAlert];
        
        
        
        UIAlertAction *ok = [UIAlertAction
                             actionWithTitle:@"OK"
                             style:UIAlertActionStyleDefault
                             handler:^(UIAlertAction * action) {
            //Handle your yes please button action here
        }];
        
        [alert addAction:ok];
        
        [view presentViewController:alert animated:YES completion:nil];
    });
}

//0 ~ 255全数字
+ (BOOL)checkNumberTextLength:(NSString *)str maxNumber:(int)max minNumber:(int)min
{
    if (!str || [str isEqualToString:@""]) {
        return NO;
    }
    NSString *regex = @"[0-9]*";
    NSPredicate *pred = [NSPredicate predicateWithFormat:@"SELF MATCHES %@",regex];
    if (![pred evaluateWithObject:str]) {
        return NO;
    }
    int number = [str intValue];
    if (number >= min && number <= max) {
        return YES;
    }
    return NO;
}

//16进制转NSData
+ (NSData *)convertHexStrToData:(NSString *)str {
    if (!str || [str length] == 0) {
        return nil;
    }
    NSMutableData *hexData = [[NSMutableData alloc] init];
    NSRange range;
    if ([str length] % 2 == 0) {
        range = NSMakeRange(0, 2);
    } else {
        range = NSMakeRange(0, 1);
    }
    for (NSInteger i = range.location; i < [str length]; i += 2) {
        unsigned int anInt;
        NSString *hexCharStr = [str substringWithRange:range];
        NSScanner *scanner = [[NSScanner alloc] initWithString:hexCharStr];
        [scanner scanHexInt:&anInt];
        NSData *entity = [[NSData alloc] initWithBytes:&anInt length:1];
        [hexData appendData:entity];
        range.location += range.length;
        range.length = 2;
    }
    return hexData;
}

+ (BOOL)isCorrectWriteData:(NSString *)data {
    NSString *regex = @"[a-fA-F0-9]*";
    NSPredicate *pred = [NSPredicate predicateWithFormat:@"SELF MATCHES %@", regex];
    BOOL isMatch = [pred evaluateWithObject:data];
    return isMatch;
}
@end
